=== docs/Makefile ===
# CFINGERD Documentation Installation
# by Ken Hollis

install:
		cp cfingerd.5 /usr/man/man5
		cp cfingerd.conf.5 /usr/man/man5
		cp cfingerd.text.5 /usr/man/man5
