=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Released under the GPL
 
 CC= gcc
-CFLAGS= -O2 -Wall
+CFLAGS= -g -O2 -Wall -m486
 LINK_FLAGS= main.o options.o version.o util.o errors.o strmcpy.o \
 	    parse.o configure.o internal.o signal.o standard.o \
 	    userlist.o fakeuser.o search.o getutent.o \
@@ -12,7 +12,7 @@
 
 cfingerd:	$(LINK_FLAGS)
 		$(CC) -o $@ $^
-		strip cfingerd
+#		strip cfingerd
 
 clean:
 		rm -f *.o cfingerd
