=== userlist/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Released under the GPL for public/private use
 
 CC= gcc
-CFLAGS= -O2 -Wall
+CFLAGS= -O2 -m486 -Wall
 LINK_FLAGS= main.o initialize.o display.o options.o idle.o
 
 userlist:	$(LINK_FLAGS)
@@ -17,7 +17,7 @@
 		rm -f config.h
 
 install:	userlist
-		chmod 700 userlist
+		chmod 755 userlist
 		chown root.root userlist
 		chmod +s userlist
 		cp -f userlist /bin/userlist
