## cfingerd 1.4.1

=== userlist/Makefile ===
# Makefile for the custom userlisting display
#
# Part of the CFINGERD distribution
# Released under the GPL.

include ../Makefile.cfg

OBJS = main.o initialize.o display.o options.o idle.o

userlist:	$(OBJS)
		$(CC) -o $@ $^

clean:
		rm -f *.o userlist

install:	userlist
		install -m 755 -o $(BIN_OWNER) -g $(BIN_GROUP) -s userlist /usr/sbin/userlist
		install -m 644 -o $(MAN_OWNER) -g $(MAN_GROUP) userlist.1 $(MANDIR)/man1
