## cfingerd 1.4.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for a totally clean installation
 
-all:
+all clean:
 	@echo
 	@echo "You need to type \"Configure\"."
 	@echo
