=== docs/Makefile ===
# CFINGERD Documentation Installation
# by Ken Hollis, Martin Schulze

include ../Makefile.cfg

install:
	install -m 644 -o $(MAN_OWNER) -g $(MAN_GROUP) cfingerd.8 $(MANDIR)/man8
	install -m 644 -o $(MAN_OWNER) -g $(MAN_GROUP) cfingerd.conf.5 $(MANDIR)/man5
	install -m 644 -o $(MAN_OWNER) -g $(MAN_GROUP) cfingerd.text.5 $(MANDIR)/man5
