=== src/Makefile ===
# CFINGERD by Ken Hollis
#
# Released under the GPL

include ../Makefile.cfg

OBJS = main.o options.o version.o util.o errors.o strmcpy.o \
    parse.o configure.o internal.o signal.o standard.o \
    userlist.o fakeuser.o search.o getutent.o rfc1413.o \
    wildmat.o log.o

cfingerd:	$(OBJS)
		$(CC) -o $@ $^ $(LDFLAGS)

install:	cfingerd
		install -m 755 -o $(BIN_OWNER) -g $(BIN_GROUP) -s cfingerd /usr/sbin/cfingerd

clean:
		rm -f *.o cfingerd
		rm -f config.h
