=== userlist/Makefile ===
--- 
+++ 
@@ -5,13 +5,14 @@
 
 include ../Makefile.cfg
 
-OBJS = main.o initialize.o display.o options.o idle.o
+OBJS = main.o initialize.o display.o options.o idle.o ../src/getutent.o
 
 userlist:	$(OBJS)
 		$(CC) -o $@ $^
 
 clean:
 		rm -f *.o userlist
+		rm -f config.h
 
 install:	userlist
 		install -m 755 -o $(BIN_OWNER) -g $(BIN_GROUP) -s userlist /usr/sbin/userlist
