=== debian/changelog ===
cfingerd (1.4.3-7) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999167)

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Aug 2022 00:32:24 +0300

cfingerd (1.4.3-6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + cfingerd: Drop versioned constraint on netbase in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 15:20:26 +0100

cfingerd (1.4.3-5) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible (Closes: #831021)
    - Update upstream's Configure script to not embed the build time.
    - Avoid timestamped gzip files in binary packages.
  * Call dh_auto_build over $(MAKE) to pass cross-building tools to upstream
    build system. Thanks, Helmut Grohne. (Closes: #956826)
  * Unapply patches in debian/patches from main source tree.
  * debian/rules:
    - Set Rules-Requires-Root to "binary-targets".
    - Correct location of Homepage field.
    - Move Homepage field to HTTPS.
    - Drop unnecessary "source", "version" and "revision" assignments in
      debian/rules.
    - Drop outdated "source diff", "dsc" and "dist" targets.
  * Fix the syntax in a large number of debian/changelog entries.

 -- Chris Lamb <lamby@debian.org>  Wed, 23 Sep 2020 12:12:44 +0100

cfingerd (1.4.3-4) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-10. (Closes: #957081)
  * Mark source format as 3.0
    - Import old diff in quilt format.
  * Orphan the package. (See: #934415)
  * Update Standards-Version to 4.5.0
    - Update priority to optional.
  * Use debhelper-compat.
    - Update compat level to 13.
  * Add salsa as Vcs.
  * Remove whitespace from d/changelog and d/rules.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jul 2020 23:18:14 +0100

cfingerd (1.4.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to lack of "." in Perl's @INC. (Closes: #837267)

 -- Chris Lamb <lamby@debian.org>  Sat, 24 Sep 2016 17:37:58 +0200

cfingerd (1.4.3-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * [SECURITY] CVE-2013-1049: fix buffer overflow in rfc1413 (ident) client.
    Thanks to Malcolm Scott <debianpkg@malc.org.uk> and Marc Deslauriers
    <marc.deslauriers@ubuntu.com> (Closes: #700098) (LP: #1104425)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 09 Feb 2013 18:38:28 +0100

cfingerd (1.4.3-3) unstable; urgency=low

  * Approve NMU
  * Applied IPv6 patch from Mats Erik Andersson
    <mats.andersson@gisladisker.se> (closes: Bug#570024)

 -- Joey Schulze <joey@infodrom.org>  Sat, 19 Jun 2010 22:03:31 +0200

cfingerd (1.4.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Depends on update-inetd for DebianNet Perl module used in postinst.
    (Closes: #502741)

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Oct 2008 00:10:05 +0100

cfingerd (1.4.3-2) unstable; urgency=low

  * Partially imported NMU
  * Updated URLs in copyright file
  * Removed /usr/doc support code from postinst since the transition is
    completed
  * Updated debian/rules
  * Converted changelog to UTF-8 (closes: Bug#453963)
  * Applied patch by Cyril Brulebois to make GNU/kFreeBSD and GNU/Hurd act
    as GNU/Linux (closes: Bug#414308)
  * Remove deprecated tail syntax (closes: Bug#381119)
  * Fixed problem with removing double characters in search strings
    (closes: Bug#66440)
  * Adjusted addresses in Debian files (closes: Bug#380219)

 -- Martin Schulze <joey@infodrom.org>  Mon, 25 Feb 2008 10:43:57 +0100

cfingerd (1.4.3-1.2) unstable; urgency=low

  * Non-maintainer upload (RC bug more than 2 years old).
  * debian/rules:
    + Removed the {foo,bar} shell wildcard bashisms.
    + Call dpkg-gencontrol with -isp so that the binary package has a control
      and a priority field.
  * debian/control:
    + Set policy to 3.5.10.
  * Replaced malloc()/sprintf() calls with strdup().
  * Replaced log() with mylog() because log is a built-in gcc-3.x function.
  * Replaced a snprintf() with sprintf() in util.c to fix a security issue
    that could cause information leakage (Closes: #76918).
  * In idle.c and standard.c, do not display the idle time if stat() on the
    TTY device failed.
  * In idle.c and standard.c, if the TTY device's timestamp is 0, do not
    display the idle time (Closes: #64359).
  * In idle.c and standard.c, if TTY modification time is more recent
    than access time, use access time to make idle reports more meaningful
    (Closes: #86138).
  * Applied a patch from Amir Shamsuddin for standard.c to retrieve proper
    privileges before looking for files in the user's home (Closes: #64915).
  * Fixed the display_file argument in standard.c so that ~/.XFace is
    properly displayed (Closes: #126984, #117255).
  * In display.c, use 8 characters from user names instead of 7, so that we
    can fetch the data from the passwd entry (Closes: #74672, #73041).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 20 Jun 2003 15:39:25 +0200

cfingerd (1.4.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply relevant portions of the security fix applied to stable for
    DSA-066 (Closes: #104394)
  * Tidy up extended description, and remove claims about security

 -- Matt Zimmerman <mdz@debian.org>  Sat, 11 Aug 2001 15:51:06 -0400

cfingerd (1.4.3-1) unstable; urgency=high

  * New upstream source
  * Fixes some buffer overflows introduced by sscanf()
  * Fixes some nice format string issues and a nice off-by-one error
    (closes: Bug#93930)
  * Corrected source URL
  * Corrected path to GPL
  * Added /usr/doc -> /usr/share/doc snippets to postinst and prerm
  * Moved manpages to /usr/share/man (closes: Bug#91128)
  * And other cruft as well (closes: Bug#91431)
  * Bumped Standards-Version to 3.5.2.0, Thanks to Bas Zoetekouw
    <bas@debian.org> (closes: Bug#93121)
  * Corrected RFC number (closes: Bug#48418)
  * Added support for removing /etc/cfingerd (closes: Bug#75292)

