=== debian/control ===
Source: cfingerd
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/cfingerd.git
Vcs-Browser: https://salsa.debian.org/debian/cfingerd
Rules-Requires-Root: binary-targets
Homepage: https://www.infodrom.org/projects/cfingerd/

Package: cfingerd
Architecture: any
Provides: finger-server
Conflicts: finger-server
Depends: ${shlibs:Depends}, ${misc:Depends}, update-inetd, netbase
Description: configurable finger daemon
 This is a free replacement for standard finger daemons such as GNU
 fingerd and MIT fingerd.  Cfingerd can enable/disable finger services
 to individual users, rather than to all users on a given host.  It is
 able to respond to a finger request to a specified user by running a
 shell script (e.g., finger doorbell@mysite.mydomain might cause a
 sound file to be sent) rather than just a plain text file.
